
QGIS Application - Bug report #5490

Incorrect PATH to srs.db

2012-04-25 02:07 AM - Andy Wood

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15107

Description

The following error is displayed during a Debian install of current master:

------

Preparing to replace qgis-providers-common 1.9.90 (using qgis-providers-common_1.9.90_all.deb) ...

Unpacking replacement qgis-providers-common ...

Setting up qgis-providers-common (1.9.90) ...

Synchronizing CRS database with PROJ definitions.

Could not open database: /usr/lib/share/qgis/resources/srs.db [unable to open database file]

1 CRSs could not be updated.

------

Path to database should be: /usr/share/qgis/resources/srs.db

QGIS version 1.9.90-Alpha

QGIS code revision 5e8d129

Compiled against Qt 4.7.4

Running against Qt 4.7.4

Compiled against GDAL/OGR 1.7.3

Running against GDAL/OGR 1.7.3

GEOS Version 3.3.1

PostgreSQL Client Version 9.1.3

SpatiaLite Version 3.0.0-beta

QWT Version 6.0.0-svn

Associated revisions

Revision 3c6f9170 - 2012-05-26 01:27 AM - Jürgen Fischer

fix #5490

Revision 52158fbd - 2012-06-23 02:03 PM - Jürgen Fischer

fix #5490 again

History

#1 - 2012-05-01 05:54 AM - Andy Wood

On further inspection this appears to be a build problem with /usr/lib/qgis/crssync
Just running crssync generates the same problem:

$ /usr/lib/qgis/crssync

Synchronizing CRS database with PROJ definitions.

Could not open database: /usr/lib/share/qgis/resources/srs.db [unable to open database file]

1 CRSs could not be updated.

#2 - 2012-05-25 04:27 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3c6f91706c2232edda6fde731ccd72f891afafc3".

#3 - 2012-06-21 02:29 AM - Andy Wood

This bug is back again during a Debian install of master today:

----

Setting up qgis-providers-common (1.9.0) ...

Synchronizing CRS database with PROJ definitions.

Could not open database: /usr/lib/share/qgis/resources/srs.db [unable to open database file]

1 CRSs could not be updated.

----

QGIS version 1.9.0-Master

QGIS code revision fcb86cf

Compiled against Qt 4.8.2

Running against Qt 4.8.2

Compiled against GDAL/OGR 1.9.0

Running against GDAL/OGR 1.9.0

GEOS Version 3.3.3

PostgreSQL Client Version 9.1.4

SpatiaLite Version 3.0.0-beta

QWT Version 6.0.0-svn

2025-04-27 2/2


